## acorn 8.0.5+ds+~cs19.19.27

=== debian/changelog ===
acorn (8.0.5+ds+~cs19.19.27-3) unstable; urgency=medium

  * Team upload
  * Source-only upload

 -- Yadd <yadd@debian.org>  Tue, 15 Jun 2021 21:07:05 +0200

acorn (8.0.5+ds+~cs19.19.27-2) unstable; urgency=medium

  * Team upload

  [ Yadd ]
  * Fix GitHub tags regex

  [ Andreas Beckmann ]
  * Reintroduce node-acorn as transitional package for smooth upgrades from
    buster (Closes: #986134)

 -- Yadd <yadd@debian.org>  Tue, 30 Mar 2021 12:23:12 +0200

acorn (8.0.5+ds+~cs19.19.27-1) unstable; urgency=medium

  * Team upload

  [ Pirate Praveen ]
  * Fix Breaks version of node-acorn-dynamic-import

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.1
  * New upstream version 8.0.5+ds+~cs19.19.27

 -- Xavier Guimard <yadd@debian.org>  Tue, 26 Jan 2021 15:04:47 +0100
