## acorn 8.7.0+ds+~cs24.17.6

=== debian/changelog ===
acorn (8.7.0+ds+~cs24.17.6-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.7.0+ds+~cs24.17.6
  * Refresh patches
  * Refresh build

 -- Yadd <yadd@debian.org>  Tue, 28 Dec 2021 17:51:03 +0100

acorn (8.6.0+ds+~cs24.17.6-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.6.0+ds+~cs24.17.6
  * Update lintian overrides
  * Refresh patches

 -- Yadd <yadd@debian.org>  Thu, 25 Nov 2021 18:57:22 +0100

acorn (8.5.0+ds+~cs24.17.6-5) unstable; urgency=medium

  * Team upload
  * Remove unexistent package in "Replace"
  * Fix usr/bin install for dh-sequence-nodejs ≥ 0.9.78~

 -- Yadd <yadd@debian.org>  Sat, 30 Oct 2021 09:07:49 +0200

acorn (8.5.0+ds+~cs24.17.6-4) unstable; urgency=medium

  * Team upload
  * Fix name error in fields Breaks&Replace

 -- Yadd <yadd@debian.org>  Thu, 28 Oct 2021 23:11:21 +0200

acorn (8.5.0+ds+~cs24.17.6-3) unstable; urgency=medium

  * Team upload

  [ Mattia Rizzolo ]
  * Fix mispelled section name s/oldlib/oldlibs/. (Closes: #996909)

  [ Yadd ]
  * Breaks+Replaces: node-debbundle-acorn (<< 8.5.0+ds+~cs24.17.6~)
    (Closes: #997998)

 -- Yadd <yadd@debian.org>  Thu, 28 Oct 2021 23:04:26 +0200

acorn (8.5.0+ds+~cs24.17.6-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Tue, 19 Oct 2021 15:12:20 +0200

acorn (8.5.0+ds+~cs24.17.6-1) experimental; urgency=medium

  * Team upload

  [ Bastien Roucariès ]
  * Use symlink for node-debbundle-acorn
  * Fix typo s/oldlib/oldlibs/g
  * Remove old stuff before pkg-js-tools

  [ Yadd ]
  * Trim trailing whitespace.
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle
  * Embed acorn-import-assertions
  * New upstream version 8.5.0+ds+~cs24.17.6

 -- Yadd <yadd@debian.org>  Sun, 17 Oct 2021 17:50:16 +0200

acorn (8.5.0+ds+~cs23.9.6-2) experimental; urgency=medium

  * Move files from node-debbundle to node-acorn

 -- Bastien Roucariès <rouca@debian.org>  Thu, 23 Sep 2021 12:42:58 +0000

acorn (8.5.0+ds+~cs23.9.6-1) experimental; urgency=medium

  [ Yadd ]
  * Team upload
  * New upstream version 8.2.2+ds+~cs23.9.6
  * Refresh patches

  [ Bastien Roucariès ]
  * New version 8.5.0+ds+~cs23.9.6-1

 -- Bastien Roucariès <rouca@debian.org>  Sat, 18 Sep 2021 20:28:57 +0000

acorn (8.1.1+ds+~cs23.9.6-1) experimental; urgency=medium

  * Team upload
  * New upstream version 8.1.1+ds+~cs23.9.6

 -- Yadd <yadd@debian.org>  Wed, 14 Apr 2021 10:13:21 +0200

acorn (8.1.0+ds+~cs23.9.6-1) experimental; urgency=medium

  * Team upload
  * debian/watch: fix GitHub tags regex
  * New upstream version 8.1.0+ds+~cs23.9.6
    Updates:
     + acorn 8.1.0
     + acorn-loose 8.0.2
     + acorn-walk 8.0.2
     + acorn-class-fields 1.0.0
     + acorn-private-class-elements 1.0.0
     + acorn-private-methods 1.0.0
     + acorn-static-class-features 1.0.0

 -- Yadd <yadd@debian.org>  Mon, 29 Mar 2021 10:16:31 +0200
