## acorn 8.7.1+ds+~cs24.17.6

=== debian/changelog ===
acorn (8.7.1+ds+~cs24.17.6-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.7.1+ds+~cs24.17.6
  * Refresh patches

 -- Yadd <yadd@debian.org>  Thu, 28 Apr 2022 08:15:15 +0200
