## acorn 8.8.0+ds+~cs24.17.6

=== debian/changelog ===
acorn (8.8.0+ds+~cs24.17.6-2) unstable; urgency=medium

  * Team upload
  * Fix acorn.Parser default options (Closes: #1016300)

 -- Yadd <yadd@debian.org>  Sat, 30 Jul 2022 15:09:36 +0200

acorn (8.8.0+ds+~cs24.17.6-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.8.0+ds+~cs24.17.6

 -- Yadd <yadd@debian.org>  Mon, 25 Jul 2022 11:09:28 +0200

acorn (8.7.1+ds+~cs24.17.6-2) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.1
  * Fix loneSurrogate regexp (Closes: #1010344)

 -- Yadd <yadd@debian.org>  Fri, 24 Jun 2022 15:10:08 +0200
