## acorn 8.8.0+ds+~cs25.17.7

=== debian/changelog ===
acorn (8.8.0+ds+~cs25.17.7-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.8.0+ds+~cs25.17.7
  * Rebuild to drop __proto__ from bundle

 -- Yadd <yadd@debian.org>  Tue, 20 Sep 2022 20:55:07 +0200
