=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  , node-ast-types
  , node-babel7
  , node-graceful-fs
+ , node-mkdirp
  , node-rollup-plugin-babel (>= 4.4~)
  , node-rollup-plugin-buble
  , node-tap <!nocheck>
@@ -20,7 +21,7 @@
  , node-xtend <!nocheck>
  , nodejs:native | nodejs (<<12.22.5~dfsg-4~)
  , rollup
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/acorn
 Vcs-Git: https://salsa.debian.org/js-team/acorn.git
 Homepage: https://github.com/ternjs/acorn/
