## acorn 8.8.1+ds+~cs25.17.7

=== debian/changelog ===
acorn (8.8.1+ds+~cs25.17.7-2) unstable; urgency=medium

  * Team upload
  * Use dh_nodejs_autodocs
  * Update copyright

 -- Yadd <yadd@debian.org>  Thu, 10 Nov 2022 06:48:10 +0100

acorn (8.8.1+ds+~cs25.17.7-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.8.1+ds+~cs25.17.7

 -- Yadd <yadd@debian.org>  Mon, 24 Oct 2022 16:50:44 +0200

acorn (8.8.0+ds+~cs25.17.7-2) unstable; urgency=medium

  * Team upload
  * Fix rollup configurations for rollup 3 (Closes: #1022592)

 -- Yadd <yadd@debian.org>  Mon, 24 Oct 2022 16:36:05 +0200
