=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
- , dh-sequence-nodejs (>= 0.9.78~)
+ , dh-sequence-nodejs (>= 0.14.5~)
  , docbook2x <!nodoc>
  , jdupes
  , mocha <!nocheck>
