## acorn 8.15.0+ds+~cs25.18.7

=== debian/changelog ===
acorn (8.15.0+ds+~cs25.18.7-1) unstable; urgency=medium

  * New upstream version (Closes: #1057143)

 -- Bastien Roucariès <rouca@debian.org>  Tue, 17 Feb 2026 20:43:01 +0100

acorn (8.8.1+ds+~cs25.17.7-3) unstable; urgency=medium

  * Test acorn-dynamic-import
  * Depends on nodejs:any
  * Drop package node-debbundle-acorn (transitional since bullseye)
  * Bump policy (no changes)

 -- Bastien Roucariès <rouca@debian.org>  Wed, 08 Nov 2023 19:41:00 +0000
