=== debian/control ===
--- 
+++ 
@@ -14,14 +14,17 @@
  , node-graceful-fs
  , node-mkdirp
  , node-rollup-plugin-babel (>= 4.4~)
- , node-rollup-plugin-buble
+ , node-rollup-plugin-buble (>= 1.0.3)
  , node-tap <!nocheck>
+ , node-babel7 <!nocheck>
  , node-tape <!nocheck>
  , node-unicode-lastest
  , node-xtend <!nocheck>
- , nodejs:native | nodejs (<<12.22.5~dfsg-4~)
+ , node-chai <!nocheck>
+ , ava <!nocheck>
+ , nodejs:native
  , rollup
-Standards-Version: 4.6.1
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/js-team/acorn
 Vcs-Git: https://salsa.debian.org/js-team/acorn.git
 Homepage: https://github.com/ternjs/acorn/
@@ -32,7 +35,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
  , node-xtend
- , nodejs:any | nodejs (<<12.22.5~dfsg-4~)
+ , nodejs:any
 Breaks: node-debbundle-acorn (<< 8.5.0+ds+~cs24.17.6~)
  , node-acorn-dynamic-import (<< 4.0.0~)
  , node-acorn-jsx (<< 5.0.0~)
@@ -61,15 +64,3 @@
  acorn-numeric-separator, acorn-private-methods.
  .
  Node.js is an event-based server-side JavaScript engine.
-
-Package: node-debbundle-acorn
-Architecture: all
-Multi-Arch: foreign
-Section: oldlibs
-Depends: ${misc:Depends}
- , node-acorn (= ${binary:Version})
-Breaks: node-acorn (<<8.5.0+ds+~cs23.9.6-2~)
-Replaces: node-acorn (<<8.5.0+ds+~cs23.9.6-2~)
-Description: Transitional dummy package for upgrading to node-debbundle-acorn
- This is a transitional dummy package to ease upgrading to
- node-acorn. It can be safely removed.
