## acorn 8.16.0+ds+~cs25.18.7

=== debian/changelog ===
acorn (8.16.0+ds+~cs25.18.7-4) unstable; urgency=medium

  * Sourcefull upload

 -- Bastien Roucariès <rouca@debian.org>  Sat, 28 Feb 2026 14:17:20 +0100

acorn (8.16.0+ds+~cs25.18.7-3) unstable; urgency=medium

  * Binary upload in order to ease build of nodejs

 -- Bastien Roucariès <rouca@debian.org>  Sat, 28 Feb 2026 10:58:47 +0100

acorn (8.16.0+ds+~cs25.18.7-2) unstable; urgency=medium

  * Help removal of transition package

 -- Bastien Roucariès <rouca@debian.org>  Wed, 25 Feb 2026 16:45:26 +0100

acorn (8.16.0+ds+~cs25.18.7-1) unstable; urgency=medium

  * New upstream version
  * Fix for mkdirp
  * Avoid to use buble on node-acorn-node (not needed with modern Node.js)

 -- Bastien Roucariès <rouca@debian.org>  Mon, 23 Feb 2026 16:08:58 +0100

acorn (8.15.0+ds+~cs25.18.7-2) unstable; urgency=medium

  * Fix acorn-walk

 -- Bastien Roucariès <rouca@debian.org>  Thu, 19 Feb 2026 12:14:14 +0100
