=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  , node-ast-types
  , node-babel7
  , node-graceful-fs
- , node-mkdirp
+ , node-mkdirp (>= 2.1.6~)
  , node-rollup-plugin-babel (>= 4.4~)
  , node-rollup-plugin-buble (>= 1.0.3)
  , node-tap <!nocheck>
@@ -36,7 +36,7 @@
 Depends: ${misc:Depends}
  , node-xtend
  , nodejs:any
-Breaks: node-debbundle-acorn (<< 8.5.0+ds+~cs24.17.6~)
+Breaks: node-debbundle-acorn (<< 8.8.1+ds+~cs25.17.7-3~)
  , node-acorn-dynamic-import (<< 4.0.0~)
  , node-acorn-jsx (<< 5.0.0~)
  , node-acorn-object-spread (<<6~)
@@ -46,9 +46,10 @@
  , webpack (<< 4.28.3~)
 Provides: ${nodejs:Provides}
  , node-debbundle-acorn (= ${binary:Version})
-Replaces: node-debbundle-acorn (<< 8.5.0+ds+~cs24.17.6~)
+Replaces: node-debbundle-acorn (<< 8.8.1+ds+~cs25.17.7-3~)
  , node-acorn-dynamic-import (<< 4.0.0+really4.0.0~)
  , node-acorn-jsx (<< 5.0.0~)
+Conflicts: node-debbundle-acorn (<< 8.8.1+ds+~cs25.17.7-3~)
 Description: ECMAScript parser for Node.js
  Acorn is a tiny, fast JavaScript parser written in JavaScript.
  .
